aptosid.com

User Scripts & Dragons - Logitech slimserver for squeezebox not running after DU

hepp - 28.05.2011, 20:18
Post subject: Logitech slimserver for squeezebox not running after DU
Having updated to kde4.6 (and perhaps perl) the slimserver software not running. Anyone with similar problems and advice for solution ? I have not tried the buildme.sh.

xxxxxx@siduxbox:~/.kde/Autostart$ /home/xxxxxx/bin/squeezeboxserver-7.5.4-32171/slimserver.pl --daemon
Use of inherited AUTOLOAD for non-method YAML::Syck::DumpYAML() is deprecated at /home/xxxxxx/bin/squeezeboxserver-7.5.4-32171/CPAN/YAML/Syck.pm line 65.

The following modules failed to load: EV XML::Parser::Expat HTML::Parser JSON::XS Digest::SHA1 YAML::Syck GD Sub::Name

*******
NOTE:
If you're running some unsupported Linux/Unix platform, please use the buildme.sh script located here:

http://svn.slimdevices.com/repos/slim/7 ... ndor/CPAN/

You should never need to do this if you're on Windows or Mac OSX. If the installers don't work for you, ask for help and/or report a bug.

If 7.5 is outdated by the time you read this, Replace "7.5" with the major version of Squeezebox Server you are running.

******* Exiting..
Lanzi - 29.05.2011, 16:35
Post subject: RE: Logitech slimserver for squeezebox not running after DU
I checked, and my slimserver is working fine under KDE4.6. Since its a deamon, I suppose its completly independent from KDE!
It seems, that you have an older version running. Did you install with apt?

apt-cache policy squeezeboxserver

it shows for me today:
      Quote:

root@Sid:~# apt-cache policy squeezeboxserver
squeezeboxserver:
Installiert: 7.6.0~32390
Kandidat: 7.6.0~32489
Versionstabelle:
7.6.0~32489 0
500 http://debian.slimdevices.com/ unstable/main amd64 Packages
*** 7.6.0~32390 0
100 /var/lib/dpkg/status



If not, add this to your sources:

#Squeezecenter
deb http://debian.slimdevices.com unstable main

and then
apt-get update && apt-get install squeezeboxserver


BTW: One question apart from your problem: If I open http://127.0.0.1:9000/ to go to the webinterface of squeezeboxserver, I have an option for internatradio:
Sometimes it shows me 6 choices (Recomandations, local, music, world, search , URL). but a lot of times (after DU especially only one point URL. Fact is, that I cannot search for internatstions...) Does this occur to you, or anybody else?
hepp - 29.05.2011, 18:30
Post subject:
Thank's for your reply. Seem to be a perl 5.12 problem. Having downgraded to perl 5.10 it works fine again. Are you succeeding in using perl 5.12 ?
DeepDayze - 29.05.2011, 19:20
Post subject:
      hepp wrote:
Thank's for your reply. Seem to be a perl 5.12 problem. Having downgraded to perl 5.10 it works fine again. Are you succeeding in using perl 5.12 ?


You might want to contact upstream to file a bug report against squeezboxserver to update it for Perl 5.12

Provide the error messages and any logs for their tech team to investigate
Lat - 29.05.2011, 19:59
Post subject:
squezeeboxserver and perl are updated and working just fine with a squezeebox touch player
      Code:
perl:
  Installed: 5.12.3-7
  Candidate: 5.12.3-7
  Version table:
 *** 5.12.3-7 0
        500 http://ftp.us.debian.org/debian/ sid/main amd64 Packages
        100 /var/lib/dpkg/status
     5.12.3-6 0
        500 http://ftp.us.debian.org/debian/ testing/main amd64 Packages
squeezeboxserver:
  Installed: 7.5.4
  Candidate: 7.5.4
  Version table:
 *** 7.5.4 0
        500 http://debian.slimdevices.com/ stable/main amd64 Packages
        100 /var/lib/dpkg/status
     7.5.1 0
        500 http://localhost/repo/ mirror/ Packages

      Code:
deb http://debian.slimdevices.com stable main

I use stable instead unstable because it always offers the version that http://www.mysqueezebox.com/download offers. Otherwise I get
      Code:
squeezeboxserver:
  Installed: 7.5.4
  Candidate: 7.6.0~32489
  Version table:
     7.6.0~32489 0
        500 http://debian.slimdevices.com/ unstable/main amd64 Packages
 *** 7.5.4 0
        500 http://debian.slimdevices.com/ stable/main amd64 Packages
        100 /var/lib/dpkg/status

P.D: For those smartphone app lovers. I just found an app for the players http://www.logitech.com/en-us/speakers- ... apptphones
Lanzi - 29.05.2011, 21:08
Post subject:
I don't have my squeezebox connected (for a month now, because my swith is not working, and I miss a free lan-port Smile
But the squeezeboxserver works fine (it looks like this) and i use perl 2.12

      Quote:

apt-cache policy perl
perl:
Installiert: 5.12.3-7
Kandidat: 5.12.3-7
Versionstabelle:
5.14.0-1 0
1 http://ftp.de.debian.org/debian/ experimental/main amd64 Packages
*** 5.12.3-7 0
500 http://ftp.de.debian.org/debian/ sid/main amd64 Packages
100 /var/lib/dpkg/status


Lat - 17.07.2011, 16:57
Post subject: I got bitten by this
I had exactly the same problem than OT
I upgraded to 7.5.5, then 7.6.x and the web interface wouldn't work. I had to search for 7.5.4 around and now it's working back.
http://svn.slimdevices.com/repos/slim/7 ... elog7.html
I have a Touch, so that changelog doesn't bring any improvement to me anyways.

You can find the .deb in http://downloads.slimdevices.com/Squeez ... er_v7.5.4/
      Code:
aptp squeezeboxserver perl
perl:
  Installed: 5.12.4-1
  Candidate: 5.12.4-1
  Version table:
 *** 5.12.4-1 0
        500 http://cdn.debian.net/debian/ sid/main amd64 Packages
        500 http://cdn.debian.net/debian/ testing/main amd64 Packages
        100 /var/lib/dpkg/status
squeezeboxserver:
  Installed: 7.5.4
  Candidate: 7.6.0~32722
  Version table:
     7.6.0~32722 0
        500 http://debian.slimdevices.com/ unstable/main amd64 Packages
 *** 7.5.4 0       
        100 /var/lib/dpkg/status

Lat - 29.07.2011, 18:09
Post subject: RE: I got bitten by this
Fixed in 7.6.0 0

http://bugs.slimdevices.com/show_bug.cgi?id=17309
http://svn.slimdevices.com/repos/slim/7 ... elog7.html
hepp - 17.08.2011, 09:23
Post subject: RE: I got bitten by this
I still can not get it up and running. Now with perl 5.12.4. Have tried different squeezeboxservers using apt stable and unstable and the different .deb and tgz versions available as nightly builds. Im I missing anything ? Currently 7.6.0

apt-cache policy squeezeboxserver

Installed: 7.6.0
Candidate: 7.6.0
Version table:
*** 7.6.0 0
500 http://debian.slimdevices.com/ stable/main i386 Packages
Lat - 18.08.2011, 01:43
Post subject: RE: I got bitten by this
      Code:
perl:
  Installed: 5.12.4-4
  Candidate: 5.12.4-4
mysql-server:
  Installed: 5.1.58-1
  Candidate: 5.1.58-1
squeezeboxserver:
  Installed: 7.6.0
  Candidate: 7.6.0
  Version table:
 *** 7.6.0 0
        500 http://debian.slimdevices.com/ stable/main amd64 Packages
        100 /var/lib/dpkg/status

Have you tried
      Code:
dpkg --purge squeezeboxserver
and reinstall it?
All times are GMT - 12 Hours
Powered by PNphpBB2 © 2003-2010 The Zafenio Group
Credits